#include <stdio.h>
#include <string.h>

int main()
{
	int i, l, k;
	char s[10000];

	scanf("%d", &k);
	for( ; k > 0; k--) {
		scanf("%s", s);
		//printf("%s\n", s);

		for(l = 1, i = 1; i < strlen(s); i++) {
			if(s[i] != s[i%l]) {
				if(i/l >= 2) l = i+1;
				else {
					l++;
					i = l-1;
				}
			}
		}
		if(i%l != 0) l = i;
		for(i = 0; i < l; i++) 
		  printf("%c", s[i]);
		printf("\n");
	}
}
